Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1417477 - packaging: gnome-builder should have "Recommends: gnome-code-assistance" in spec file
Summary: packaging: gnome-builder should have "Recommends: gnome-code-assistance" in s...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-builder
Version: 26
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: David King
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-29 17:48 UTC by Christian Stadelmann
Modified: 2018-05-21 20:13 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-21 20:13:25 UTC
Type: Bug


Attachments (Terms of Use)

Description Christian Stadelmann 2017-01-29 17:48:47 UTC
Description of problem:
Currently, when installing gnome-builder, gnome-code-assistance is not installed. It might be required at runtime though.

Version-Release number of selected component (if applicable):
gnome-builder-3.22.4-1.fc25.x86_64

How reproducible:
always – packaging issue

Steps to Reproduce:
1. run gnome-builder
2. watch output (or logs)
3. open any python project

Actual results:
I get this warning:
> ide-diagnostics-manager[13444]:  WARNING: GDBus.Error:org.freedesktop.DBus.Error.ServiceUnknown: The name org.gnome.CodeAssist.v1.python was not provided by any .service files

Expected results:
No warning. gnome-code-assistance should be installed when installing gnome-builder.

Additional info:
gnome-code-assistance is needed by the "gnome-code-assistance" plugin in plugins/gnome-code-assistance/ide-gca-service.c

Comment 1 Fedora End Of Life 2017-02-28 11:07:53 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 26 development cycle.
Changing version to '26'.

Comment 2 Fedora End Of Life 2018-05-03 08:06:05 UTC
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 3 Christian Stadelmann 2018-05-21 20:13:25 UTC
This issue has been fixed and is not present any more in Fedora 28.


Note You need to log in before you can comment on or make changes to this bug.